## RRule

Description

A Class for handling Events on a calendar which repeat

Here's the spec, from RFC2445:

At this point we are going to restrict ourselves to parts of the RRULE specification seen in the wild. And by "in the wild" I don't include within people's timezone definitions. We always convert time zones to canonical names and assume the lower level libraries can do a better job with them than we can.

We will concentrate on: FREQ=(YEARLY|MONTHLY|WEEKLY|DAILY) UNTIL= COUNT= INTERVAL= BYDAY= BYMONTHDAY= BYSETPOS= WKST= BYYEARDAY= BYWEEKNO= BYMONTH=

Located in /inc/RRule.php (line 691)

Method Summary
RRule RRule ( $start, $rrule)
void &GetNext ()
void WithinScope ( $base, $relative_days)
Methods
Constructor RRule (line 723)

The constructor takes a start date and an RRULE definition. Both of these follow the iCalendar standard.

RRule RRule ( $start, $rrule)

- $start
- $rrule

GetNext (line 829)

This is most of the meat of the RRULE processing, where we find the next date.

We maintain an

void &GetNext ()
WithinScope (line 769)

Processes the array of $relative_days to $base and removes any which are not within the scope of our rule.

void WithinScope ( $base, $relative_days)

- $base
- $relative_days

Documentation generated on Sat, 24 Oct 2009 12:40:42 +1300 by phpDocumentor 1.3.2